Rotate Webhook Secret
curl --request POST \
--url https://console.vast.ai/api/v0/webhooks/{id}/rotate-secret/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.vast.ai/api/v0/webhooks/{id}/rotate-secret/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.vast.ai/api/v0/webhooks/{id}/rotate-secret/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"webhook": {
"id": 123,
"user_id": 123,
"name": "<string>",
"webhook_url": "<string>",
"event_types": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"webhook_secret": "<string>"
}
}{
"error": "<string>",
"msg": "<string>"
}Accounts
Rotate Webhook Secret
Rotate the signing secret for one of the caller’s webhooks; the new secret is returned once and the prior secret is invalidated immediately.
POST
/
api
/
v0
/
webhooks
/
{id}
/
rotate-secret
/
Rotate Webhook Secret
Authorizations
API key must be provided in the Authorization header
Path Parameters
Unique identifier of the webhook whose signing secret is being rotated.
Response
Success; returns {success: true, webhook: object} where webhook includes the new webhook_secret (revealed once only)
⌘I